# List

Launch stage: GA

`GET /api/2.1/unity-catalog/secrets`

Lists secrets in Unity Catalog.

 You must be a metastore admin, the owner of the secret, or have the
 **MANAGE** privilege on the secret.

 Both **catalog_name** and **schema_name** must be specified together to filter secrets within
 a specific schema. Results are paginated; use the **page_token** field from the response
 to retrieve subsequent pages.

API scopes: unity-catalog

## Query parameters

- `catalog_name` (string, optional)
  The name of the catalog under which to list secrets. Both **catalog_name** and
   **schema_name** must be specified together.
- `schema_name` (string, optional)
  The name of the schema under which to list secrets. Both **catalog_name** and
   **schema_name** must be specified together.
- `page_token` (string, optional)
  Opaque pagination token to go to the next page based on previous query. The maximum page length
   is determined by a server configured value.
- `page_size` (int32, optional)
  Maximum number of secrets to return.
  
   - If not specified, at most 1000 secrets are returned.
   - If set to a value greater than 0, the page length is the minimum of this value and 1000.
   - If set to 0, the page length is set to 1000.
   - If set to a value less than 0, an invalid parameter error is returned.
  Constraints: `<= 1000`

## Returns

Returns a list of Secret objects.

## Response

```json
{
  "secrets": [
    {
      "name": "string",
      "owner": "string",
      "effective_owner": "string",
      "metastore_id": "string",
      "create_time": "string",
      "created_by": "string",
      "update_time": "string",
      "updated_by": "string",
      "comment": "string",
      "full_name": "string",
      "catalog_name": "string",
      "schema_name": "string",
      "value": "string",
      "effective_value": "string",
      "expire_time": "string"
    }
  ],
  "next_page_token": "string"
}
```

